package ru.ldeloff.servermonitorbot.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import ru.ldeloff.servermonitorbot.model.SshServer;

import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "ssh")
public class SshConfig {
    private List<SshServer> servers;

    public List<SshServer> getServers() {
        return servers;
    }

    public void setServers(List<SshServer> servers) {
        this.servers = servers;
    }
}
