package ru.ldeloff.servermonitorbot.init;

import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;
import ru.ldeloff.servermonitorbot.repository.SshRepository;

@Component
public class SshConnect implements ApplicationRunner {
    final SshRepository sshRepository;

    public SshConnect(SshRepository sshRepository) {
        this.sshRepository = sshRepository;
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        sshRepository.connectToAllServer();
    }
}
